# ComponentSpec

@Incubating
interface ComponentSpec : ModelElement

A software component that is built by Gradle.

#### Inheritors

NativeComponentSpec
BuildableComponentSpec
CheckableComponentSpec
SourceComponentSpec
GeneralComponentSpec
VariantComponentSpec

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
The path to the project containing this component.